
Discovery - Refactor #15750

Add strong parameters to Discovery Plugin

07/20/2016 03:21 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Discovery plugin   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

discovery/pull/285,

https://github.com/theforeman/foreman_

discovery/pull/296

  

Description

Discovery counterpart for Feature #3917

Related issues:

Related to Foreman - Feature #3917: Add strong_parameters to foreman Closed 12/19/2013

Is duplicate of Katello - Bug #16362: foreman-discovery still uses attr_acces... Duplicate 08/29/2016

Associated revisions

Revision 34db0a48 - 08/03/2016 06:02 AM - Lukas Zapletal 

Fixes #15750 - strong parameters (v1.13+)

Revision 543e3eac - 08/17/2016 12:16 PM - Lukas Zapletal 

Refs #15750 - added missing strong params for rule

History

#1 - 07/20/2016 03:21 AM - Lukas Zapletal

- Related to Feature #3917: Add strong_parameters to foreman added

#2 - 07/20/2016 08:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_discovery/pull/285 added

#3 - 08/03/2016 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman_discovery|34db0a489cbd5e8d1cdb5da5ef079828f829fdf1.

#4 - 08/15/2016 09:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman_discovery/pull/296 added

#5 - 08/30/2016 06:32 AM - Lukas Zapletal

- Is duplicate of Bug #16362: foreman-discovery still uses attr_accessible  added
